package it.sw.pa.comune.artegna.service.mapper;

import static it.sw.pa.comune.artegna.domain.ConfermaAsserts.*;
import static it.sw.pa.comune.artegna.domain.ConfermaTestSamples.*;

import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

class ConfermaMapperTest {

    private ConfermaMapper confermaMapper;

    @BeforeEach
    void setUp() {
        confermaMapper = new ConfermaMapperImpl();
    }

    @Test
    void shouldConvertToDtoAndBack() {
        var expected = getConfermaSample1();
        var actual = confermaMapper.toEntity(confermaMapper.toDto(expected));
        assertConfermaAllPropertiesEquals(expected, actual);
    }
}
